/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.BitacorasWeb;

import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface BitacorasWebFacadeLocal {

    void create(BitacorasWeb bitacorasWeb);

    void edit(BitacorasWeb bitacorasWeb);

    void remove(BitacorasWeb bitacorasWeb);

    BitacorasWeb find(Object id);

    List<BitacorasWeb> findAll();

    List<BitacorasWeb> findRange(int[] range);

    int count();

    List<BitacorasWeb> busquedaUsuarios(String usuarios);

    List<BitacorasWeb> BitacorasPorFechas(Date fechaIn, Date fechaOut);

}
